## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csVertexLightCalculator< LightProc > Member List

This is the complete list of members for csVertexLightCalculator< LightProc >, including all inherited members.

CalculateLighting(const csLightProperties &light, size_t numvert, iRenderBuffer *vb, iRenderBuffer *nb, csColor *litColor) const | csVertexLightCalculator< LightProc > | `[inline, virtual]`
CalculateLightingAdd(const csLightProperties &light, size_t numvert, iRenderBuffer *vb, iRenderBuffer *nb, csColor *litColor) const | csVertexLightCalculator< LightProc > | `[inline, virtual]`
CalculateLightingMul(const csLightProperties &light, size_t numvert, iRenderBuffer *vb, iRenderBuffer *nb, csColor *litColor) const | csVertexLightCalculator< LightProc > | `[inline, virtual]`